@import url('https://fonts.googleapis.com/css2?family=Montserrat&family=Poppins&display=swap');

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    background-color: #ecf0f3;
}

h1,
h2,
h3,
h4,
h5 {
    font-weight: bold;
}

h1 {
    font-size: 40px;
}

h2 {
    font-size: 32px;
}

h3 {
    font-size: 28px;
}

h4 {
    font-size: 24px;
}

h5 {
    font-size: 20px;
}

h1,
h2 {
    font-family: 'Montserrat', sans-serif;
}

h3,
h4,
h5,
p,
a,
label,
input,
textarea,
button {
    font-family: 'Poppins', sans-serif;
}

header {
    padding: 20px 50px;
}

.header-right,
.header-left {
    display: inline-block;
}

.header-right {
    float: right;
}

span {
    color: #ff014f;
}

.nav-list {
    list-style: none;
}

.nav-list a {
    text-decoration: none;
    color: black;
    text-transform: uppercase;
    font-weight: 600;
}

.nav-list li {
    display: inline-block;
    margin: 16px;
}

.container {
    padding: 115px 0;
    width: 85%;
    margin: 0 auto;
}

.profile-img {
    border-radius: 50%;
}

#about .container div {
    display: inline-block;
}

.profile-description {
    width: 50%;
    margin-left: 50px;
}

.section-title {
    padding: 15px;
    margin-bottom: 20px;
}

.social-links a {
    text-decoration: none;
    color: black;
    margin-right: 20px
}

.section-items {
    padding: 15px;
}

.section-item-card {
    padding: 30px;
    margin: 20px;
    display: inline-block;

    height: 425px;
    width: 400px;

    border-radius: 5%;

}

.service-icon {
    margin-bottom: 18px;
}

.service-content h3 {
    margin-bottom: 18px;
}

.section-items a {
    text-decoration: none;
    color: black;
}

.portfolio-img {
    border-radius: 5%;
    margin-bottom: 18px;
    width: 100%;
}

.portfolio-content p {
    color: #ff014f;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 2px;
    margin-bottom: 12px;
}

.contact-wrapper {
    margin-top: 50px;
}

.contact-details {
    width: 350px;
    margin-bottom: 50px;
}

.contact-details p {
    font-size: 18px;
    color: #ff014f;
}

.contact-form-wrapper {
    width: 550px;
}

label {
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
    margin-bottom: 10px;
    display: block;
}

input,
textarea {
    border-color: rgba(0, 0, 0, 0.10);
    outline-color: #ff014f;
    width: 100%;
    padding: 8px;
}

textarea {
    resize: none;
}

button {
    height: 35px;
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
}

footer {
    height: 150px;
    background-color: black;
}

footer h5,
footer div {
    display: inline-block;
}

footer h5 {
    color: white;
}

footer .social-links {
    float: right;
}

/* preadded styling */
header {
    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
}

.container {
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
}

.section-item-card,
.contact-wrapper>* {
    background-image: linear-gradient(145deg, #e2e8ec, white);

    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
}

/* =================
   Start of exercise:
   =================*/

/* TODO 01:  Declare CSS variables at the top of this file (after @import). Make sure to use
    the variables on the properties that need them.*/

/* TODO 02: Change the selector below so it uses CSS child selector*/
/* TODO 02a: First <p> has font-size of 52px and a font-weight of 600*/
/* TODO 02b: Second <p> has font-size of 32px, font-weight of 600 and 20px bottom margin*/
/* TODO 02c: Third <p> has 30px bottom margin*/
.profile-description p {
    margin-bottom: 20px;
}

/* TODO 03: Use the appropriate selector for the block of code below so the <a> elements of .nav-list
    and .section-items would have styling when mouse is hovered over them*/

/* text-decoration-line: underline;
text-decoration-thickness: 3px;
text-decoration-color: #ff014f;
text-underline-offset: 5px; */

/* TODO 04: Change the selector below so their parent uses the child combinator (>) instead */
/* Refer to https://developer.mozilla.org/en-US/docs/Web/CSS/Child_combinator */
.contact-details,
.contact-form-wrapper {
    padding: 20px;
    border-radius: 2.5%;
}

/* TODO 05: Change the selector below so their parent uses the child combinator (>) instead */
.email,
.location,
.phone {
    margin-bottom: 32px;
}

/* TODO 06: Add another selector so children of .email, .location, and .phone would have an 8px
    bottom margin. Hint: You might need to use the child combinator (>) twice */